Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.nodes.mdx
Enum EMdxExpSyntax

    java.lang.Object
      java.lang.Enum<EMdxExpSyntax>
          gudusoft.gsqlparser.nodes.mdx.EMdxExpSyntax

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EMdxExpSyntax>

    public enum EMdxExpSyntax

extends java.lang.Enum<EMdxExpSyntax>

Enum Constant Summary
`AmpersandQuotedProperty`
`Braces`
`Case`
`Cast`
`Empty`
`Function`
`Internal`
`Method`
`Parentheses`
`Property`
`QuotedProperty`

Method Summary
`static EMdxExpSyntax` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EMdxExpSyntax[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Function

    public static final EMdxExpSyntax Function

### Property

    public static final EMdxExpSyntax Property

### Method

    public static final EMdxExpSyntax Method

### Braces

    public static final EMdxExpSyntax Braces

### Parentheses

    public static final EMdxExpSyntax Parentheses

### Case

    public static final EMdxExpSyntax Case

### Internal

    public static final EMdxExpSyntax Internal

### Cast

    public static final EMdxExpSyntax Cast

### QuotedProperty

    public static final EMdxExpSyntax QuotedProperty

### AmpersandQuotedProperty

    public static final EMdxExpSyntax AmpersandQuotedProperty

### Empty

    public static final EMdxExpSyntax Empty

Method Detail

### values

    public static final EMdxExpSyntax[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EMdxExpSyntax c : EMdxExpSyntax.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EMdxExpSyntax valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD